classification
Title: configparser read_file now iterates over f, docs still say it calls readline
Type: behavior Stage: committed/rejected
Components: Documentation Versions: Python 3.3, Python 3.2
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: lukasz.langa Nosy List: docs@python, larry, lukasz.langa, python-dev, rhettinger
Priority: low Keywords: patch

Created on 2011-03-25 10:08 by larry, last changed 2011-04-28 10:03 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
issue11670.patch lukasz.langa, 2011-04-05 20:46 review
Messages (8)
msg132075 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2011-03-25 10:08
The documentation for configparser.RawConfigParser.read_file() states:

"Read and parse configuration data from the file or file-like object in f (only the readline() method is used)."

This was true in Python 3.1 and before.  However in 3.2 the implementation of read_file changed.  It no longer calls readline().  Instead, it iterates over the file object.  Whoever made this change neglected to

* fix the docs, or apparently
* tell anybody.

I've got the commit bit, so I'd be happy to fix this.

I'd like to add it to the What's New In Python 3.2 as well; there's a section about configparser changes that would be perfect.  Is it permissible to change the What's New document ex post facto like this?  (Adding rhettinger so he can answer this.)
msg132076 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2011-03-25 10:13
By the same token, readfp is now deprecate in favor of the new spelling read_file.  That change *is* mentioned in configparser.  If I'm touching What's New In Python 3.2, mind if I add a mention of that too?
msg132105 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2011-03-25 15:50
I don't think this is worthy of being in whatsnew.
Feel free to update the other docs though.
msg132115 - (view) Author: Łukasz Langa (lukasz.langa) (Python committer) Date: 2011-03-25 16:50
Ouch, this would be my fault. I agree with Raymond, at this point I think we should only update the docs.
msg133087 - (view) Author: Łukasz Langa (lukasz.langa) (Python committer) Date: 2011-04-05 20:46
How about this? (available for review: http://codereview.appspot.com/4358054)
msg134592 - (view) Author: Roundup Robot (python-dev) Date: 2011-04-27 16:14
New changeset 6f937d6369b6 by Łukasz Langa in branch '3.2':
Closes #11670: configparser read_file now iterates over f.
http://hg.python.org/cpython/rev/6f937d6369b6

New changeset 9da06f771a57 by Łukasz Langa in branch 'default':
Merged #11670 from 3.2
http://hg.python.org/cpython/rev/9da06f771a57
msg134593 - (view) Author: Łukasz Langa (lukasz.langa) (Python committer) Date: 2011-04-27 16:17
Closed in http://hg.python.org/cpython/rev/6f937d6369b6.
msg134666 - (view) Author: Roundup Robot (python-dev) Date: 2011-04-28 10:03
New changeset 1bbda00bbe78 by Łukasz Langa in branch '3.2':
Style updates for the #11670 solution after post-commit review by Ezio Melotti:
http://hg.python.org/cpython/rev/1bbda00bbe78

New changeset 339cd1d9b21a by Łukasz Langa in branch 'default':
Merged styling updates for #11670 from 3.2.
http://hg.python.org/cpython/rev/339cd1d9b21a
History
Date User Action Args
2011-04-28 10:03:13python-devsetmessages: + msg134666
2011-04-27 16:17:31lukasz.langasetresolution: fixed -> accepted
messages: + msg134593
2011-04-27 16:14:36python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg134592

resolution: fixed
stage: needs patch -> committed/rejected
2011-04-05 20:46:45lukasz.langasetfiles: + issue11670.patch
keywords: + patch
messages: + msg133087
2011-03-25 16:50:25lukasz.langasetmessages: + msg132115
2011-03-25 16:08:53eric.araujosetassignee: docs@python -> lukasz.langa

nosy: + lukasz.langa
versions: + Python 3.3
2011-03-25 15:50:07rhettingersetmessages: + msg132105
2011-03-25 10:13:19larrysetmessages: + msg132076
2011-03-25 10:08:18larrycreate